require_relative 'fundrequest'

describe FundRequest do
	before do
		@fundrequest= FundRequest.new("VC-Friendly Start-up Projects")

		@initial_fund= 0
		@project= Project.new('LMN', @initial_fund, 3000)

		@fundrequest.add_project(@project)
	end

	it "die is rolled even, add funds to project" do
		allow_any_instance_of(Die).to receive(:roll).and_return(2, 4, 6)

		@fundrequest.request_funding
		expect(@project.funding).to eq(@initial_fund + 25)
	end

	it "die is rolled odd, remove funds from project" do
		allow_any_instance_of(Die).to receive(:roll).and_return(1, 3, 5)

		@fundrequest.request_funding
		expect(@project.funding).to eq(@initial_fund - 15)
	end
end