require_relative 'project'

describe Project do

	before do
		$stdout= StringIO.new
		@project= Project.new('LMN', 3000)
		@initial_funds= 0
	end

	it "has an initial target funding amount" do
		
		expect(@project.target).to eq(3000)
	end

	it "computes the total funding outstanding as the target funding amount minus the funding amount" do

		expect(@project.funding_needed).to eq(3000 - @initial_funds)
	end

	it "increases funds by 25 when funds are added" do

		@project.add_funds

		expect(@project.funding).to eq(@initial_funds + 25)
	end

	it "decreases funds by 15 when funds are removed" do

		@project.remove_funds

		expect(@project.funding).to eq(@initial_funds - 15)
	end

	it "has a default value of 0 for funding amount" do

		expect(@project.funding).to eq(0)
	end

	context "funding equals or exceeds the target funding amount" do
		before do
			@project= Project.new('LMN', 3500, 3000)
		end

		it "project is being funded" do
			expect(@project).to be_funded
		end
	end
	context "funding is less than the target funding amount " do
		before do
			@project= Project.new('LMN', 2500, 3000)
		end

		it "project is not being funded" do
			expect(@project).not_to be_funded
		end
	end
end